<?PHP

/* ====================
Land Down Under - Website engine
Copyright Neocrome
http://www.neocrome.net

[BEGIN_SED]
File=plugins/topitems/topitems.php
Version=110
Updated=2006-dec-21
Type=Plugin
Author=Neocrome
Description=
[END_SED]

[BEGIN_SED_EXTPLUGIN]
Code=topitems
Part=main
File=topitems
Hooks=standalone
Tags=
Minlevel=0
Order=10
[END_SED_EXTPLUGIN]

==================== */

if (!defined('SED_CODE')) { die('Wrong URL.'); }

$plugin_title = $L['plu_title'];

// Top pages

$sql = sed_sql_query("SELECT page_id, page_cat, page_title, page_count FROM $db_pages WHERE page_state='0' ORDER by page_count DESC LIMIT ".$cfg['plugin']['topitems']['maxlines']);

$plugin_body .= "<h4>".$L['plu_title_pages']."</h4><table class=\"cells\"><tr>";
$plugin_body .= "<td style=\"width:5%;\" class=\"coltop\">".$L['Rank']."</td>";
$plugin_body .= "<td style=\"width:60%;\" class=\"coltop\">".$L['Page']."</td>";
$plugin_body .= "<td style=\"width:25%;\" class=\"coltop\">".$L['Category']."</td>";
$plugin_body .= "<td style=\"width:10%;\" class=\"coltop\">".$L['Hits']."</td></tr>";

$ii = 1;

while ($row = sed_sql_fetcharray($sql))
	{
	$plugin_body .= "<tr><td style=\"text-align:center;\">".$ii."</td>";
	$plugin_body .= "<td><a href=\"page.php?id=".$row['page_id']."\">".sed_cc($row['page_title'])."</a></td>";
	$plugin_body .= "<td><a href=\"list.php?c=".$row['page_cat']."\">".$sed_cat[$row['page_cat']]['title']."</a></td>";
	$plugin_body .= "<td style=\"text-align:center;\">".$row['page_count']."</td></tr>";
	$ii++;
	}

$plugin_body .= "</table>";

// Top Downloads

$sql = sed_sql_query("SELECT page_id, page_cat, page_title, page_filecount FROM $db_pages WHERE page_file='1' AND page_state='0' ORDER by page_filecount DESC LIMIT ".$cfg['plugin']['topitems']['maxlines']);

$plugin_body .= "<h4>".$L['plu_title_downloads']."</h4><table class=\"cells\"><tr>";
$plugin_body .= "<td style=\"width:5%;\" class=\"coltop\">".$L['Rank']."</td>";
$plugin_body .= "<td style=\"width:60%;\" class=\"coltop\">".$L['Page']." / ".$L['File']."</td>";
$plugin_body .= "<td style=\"width:25%;\" class=\"coltop\">".$L['Category']."</td>";
$plugin_body .= "<td style=\"width:10%;\" class=\"coltop\">".$L['Hits']."</td></tr>";

$ii = 1;
while ($row = sed_sql_fetcharray($sql))
	{
	$plugin_body .= "<tr><td style=\"text-align:center;\">".$ii."</td>";
	$plugin_body .= "<td><a href=\"page.php?id=".$row['page_id']."\">".sed_cc($row['page_title'])."</a>";
	$plugin_body .= " (<a href=\"page.php?id=".$row['page_id']."&amp;a=dl\">".$L['Download']."</a>)";
	$plugin_body .= "<td><a href=\"list.php?c=".$row['page_cat']."\">".$sed_cat[$row['page_cat']]['title']."</a></td>";
	$plugin_body .= "<td style=\"text-align:center;\">".$row['page_filecount']."</td></tr>";
	$ii++;
	}

$plugin_body .= "</table>";


// Top pages rated

$sql1 = sed_sql_query("SELECT rating_code, rating_average FROM $db_ratings WHERE rating_code LIKE 'p%' ORDER by rating_average DESC LIMIT ".$cfg['plugin']['topitems']['maxlines']);

$plugin_body .= "<h4>".$L['plu_title_rated']."</h4><table class=\"cells\">";
$plugin_body .= "<tr><td style=\"width:5%;\" class=\"coltop\">".$L['Rank']."</td>";
$plugin_body .= "<td style=\"width:45%;\" class=\"coltop\">".$L['Page']."</td>";
$plugin_body .= "<td style=\"width:25%;\" class=\"coltop\">".$L['Category']."</td>";
$plugin_body .= "<td style=\"width:25%;\" class=\"coltop\">".$L['Rated']."</td></tr>";

$ii = 1;
while ($row1 = sed_sql_fetcharray($sql1))
	{
	$rating_code = $row1['rating_code'];
	$rating_average = $row1['rating_average'];
	$rating_image = "<img src=\"skins/$skin/img/system/vote".round($rating_average,0).".gif\" alt=\"\">";
	$id = substr ($rating_code,1,strlen($rating_code)-1);

	$sql = sed_sql_query("SELECT page_id, page_cat, page_title FROM $db_pages WHERE page_id='$id' LIMIT 1", "Plugin/toprated");

	$row = sed_sql_fetcharray($sql);

	if (empty($cat) || (!empty($cat) && $page_cat== $cat))
		{
		$plugin_body .= "<tr><td style=\"text-align:center;\">".$ii."</td>";
		$plugin_body .= "<td><a href=\"page.php?id=".$row['page_id']."\">".sed_cc($row['page_title'])."</a></td>";
		$plugin_body .= "<td><a href=\"list.php?c=".$row['page_cat']."\">".$sed_cat[$row['page_cat']]['title']."</a></td>";
		$plugin_body .= "<td>".$rating_image." ".$rating_average."</td></tr>";
		$ii++;
		}
	}

$plugin_body .= "</table>";

?>
